#include <dlfcn.h>
#include <stdio.h>

FILE *
freopen (const char *path, const char *mode, FILE *stream)
{
	FILE *(*func) (const char *p, const char *m, FILE *s);

	/* don't allow reopening of stderr */
	if (stream == stderr)
		return NULL;

	func = dlsym (RTLD_NEXT, "freopen");

	return func (path, mode, stream);
}
